summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--sys-fs/ext3grep/ChangeLog8
-rw-r--r--sys-fs/ext3grep/Manifest6
-rw-r--r--sys-fs/ext3grep/ext3grep-0.10.1.ebuild (renamed from sys-fs/ext3grep/ext3grep-0.10.0.ebuild)11
3 files changed, 15 insertions, 10 deletions
diff --git a/sys-fs/ext3grep/ChangeLog b/sys-fs/ext3grep/ChangeLog
index c2e5e5d1b..1feda65e1 100644
--- a/sys-fs/ext3grep/ChangeLog
+++ b/sys-fs/ext3grep/ChangeLog
@@ -1,7 +1,13 @@
# ChangeLog for sys-fs/ext3grep
-# Copyright 1999-2008 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*ext3grep-0.10.1 (11 May 2009)
+
+ 11 May 2009; Justin Lecher (jlec) <jlec@j-schmitz.net>
+ +ext3grep-0.10.1.ebuild:
+ version bump Thanks hanno for updated ebuild
+
12 Dec 2008; Thomas Sachau (Tommy[D]) <tommy@gentoo.org> metadata.xml:
Fix metadata.xml
diff --git a/sys-fs/ext3grep/Manifest b/sys-fs/ext3grep/Manifest
index 72c4bc640..d03303710 100644
--- a/sys-fs/ext3grep/Manifest
+++ b/sys-fs/ext3grep/Manifest
@@ -1,5 +1,5 @@
AUX gcc-4.3.patch 5338 RMD160 02bd66436fc309823c632abf0710d6d90fd7f4a6 SHA1 ffff4763ba1977577a102f0b7a00773b6304d903 SHA256 c1d887e26d7d5b19f7a3fe1653e711752259912c190f6b385f0dbb69c0523cc2
-DIST ext3grep-0.10.0.tar.gz 230848 RMD160 5ee2e7f12935d150da32e7ab3a0a03863c444f59 SHA1 38d5295196446f69df56feda41a3902e08578f02 SHA256 4faac195ea9e24753f129d681847c289991ef2dfdb1207db1c47d2a81d8d0c0f
-EBUILD ext3grep-0.10.0.ebuild 885 RMD160 1ced70d25d3abca31b3783e2df3d8e3fa7c83477 SHA1 14620230130bff94d9887d80b21f1c4a847b5f13 SHA256 010725b55bb39fb976359a744fd749ad036080e1b686b4d47dfaa85c019a2994
-MISC ChangeLog 369 RMD160 6bbb522a9d9ae2d885e46b06f7ecf33803f6ece8 SHA1 32d21cfe83b640958fa62c89df2ab914117b1415 SHA256 fce51faa62410f8699a58b09d5684263064a7a6a5f101f71e2d76c4baebc414e
+DIST ext3grep-0.10.1.tar.gz 230939 RMD160 87fdc06cb98ab877d75e7d250dafb83df5c298ca SHA1 fbeb23d8416ed7a5642cba8acbab858d49b0e4a7 SHA256 162f038385a0166e29660e2a759e37f242eaeb7ccd5e6868c8804c71bcc2e3c0
+EBUILD ext3grep-0.10.1.ebuild 886 RMD160 bcd60a749fa310506851ebf25849f313b4467479 SHA1 893a19da5c22a69f10cc7450f3e8a45f718f5f43 SHA256 478eaa17dc93208dab199c0ff17b99274151cb7baf49cef6b07910e84fb4e81a
+MISC ChangeLog 533 RMD160 cbf2c808cd18321cec163d4b42823a9ae1b931b4 SHA1 50f5dc1cd832291adda8f5beb7e8c31adeac4bed SHA256 70cd2b2ff64b7cc311dcea01c1e4fecff51abeeb08d82b68a5b6e81786a4ad08
MISC metadata.xml 311 RMD160 3b578725b040cfd641529b2a6e96ea858cdc89dd SHA1 c5877275a44df0a3be795b9932796c45f4a70d5d SHA256 89ad924105e063aa2be6cbded89d22d13ba497d497ff052bb6dde1780abc5460
diff --git a/sys-fs/ext3grep/ext3grep-0.10.0.ebuild b/sys-fs/ext3grep/ext3grep-0.10.1.ebuild
index a6590066a..156e1c48f 100644
--- a/sys-fs/ext3grep/ext3grep-0.10.0.ebuild
+++ b/sys-fs/ext3grep/ext3grep-0.10.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $
@@ -11,9 +11,9 @@ SRC_URI="http://ext3grep.googlecode.com/files/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
-KEYWORDS="~x86"
+KEYWORDS="~amd64 ~x86"
-IUSE="debug largefile libcwd mmap pch"
+IUSE="debug largefile libcwd pch"
RDEPEND=""
DEPEND="${RDEPEND}
debug? ( libcwd? ( dev-cpp/libcwd ) )"
@@ -29,13 +29,12 @@ src_compile() {
use debug && myconf="--disable-optimize"
- econf \
+ econf ${myconf} \
$(use_enable libcwd) \
$(use_enable debug) \
- ${myconf} \
$(use_enable pch) \
$(use_enable largefile) \
- $(use_enable mmap)
+ || die "econd failed"
emake || die "emake failed"
}